## libreoffice 7.4.7

=== android/source/Makefile ===
ifeq ($(BUILDDIR),)
gb_Side:=host
include ../../config_host.mk
endif

# The default target just builds.

all: build-gradle

DISABLE_UI=TRUE
BOOTSTRAPDIR=../Bootstrap
include $(BOOTSTRAPDIR)/Makefile.shared

native-code.cxx: $(SRCDIR)/solenv/bin/native-code.py
	@echo "[build PY ] $@"
	$< -j -g core -g writer -g calc -g draw -g edit > $@

install:
	if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then ./gradlew $(if $(verbose),--info) $(if $(versionCode),-PcmdVersionCode=$(versionCode)) install$(if $(DISABLE_UI),StrippedUI,FullUI)$(if $(ENABLE_ANDROID_EDITING),Editing)Debug ; fi
	@if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then echo ; echo 'Run it with "make run"' ; echo ; fi

uninstall:
	$(ANDROID_SDK_DIR)/platform-tools/adb uninstall $(ANDROID_PACKAGE_NAME)

clean:
	rm -rf assets assets_fullUI assets_strippedUI jniLibs jniLibs_debug $(OBJLOCAL)
	rm -f native-code.cxx
	rm -f liboSettings.gradle

build-gradle: liboSettings.gradle local.properties link-so
ifeq ($(ENABLE_JAVA),TRUE)
	if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then ./gradlew $(if $(verbose),--info) $(if $(versionCode),-PcmdVersionCode=$(versionCode)) assemble$(if $(DISABLE_UI),StrippedUI,FullUI)$(if $(ENABLE_ANDROID_EDITING),Editing)$(if $(ENABLE_RELEASE_BUILD),Release,Debug) ; fi
endif

run:
	if test "$$ENABLE_ANDROID_LOK" != "TRUE" ; then $(ANDROID_SDK_DIR)/platform-tools/adb shell am start -n $(ANDROID_PACKAGE_NAME)/org.libreoffice.ui.LibreOfficeUIActivity ; fi

debugrun:
	@echo "please debug with lldb from within Android Studio, or setup ndk-gdb manually (see android/README for details)"

=== onlineupdate/qa/replace_request/Makefile ===
gb_Side := host
include ../../../config_host.mk

UPDATER_DIR := $(WORKDIR)/updater/replace_request

unpack:
	@echo "Unpacking the updater test project"
	@rm -r $(UPDATER_DIR) || true
	@mkdir -p $(WORKDIR)/updater
	@unzip updater.zip -d $(WORKDIR)/updater > /dev/null

call: unpack
	@echo "Update the test project"
	@$(INSTDIR)/program/updater $(UPDATER_DIR)/user/patch $(UPDATER_DIR) $(UPDATER_DIR)/user/update /replace

call-gdb: unpack
	gdb --args $(INSTDIR)/program/updater $(UPDATER_DIR)/user/patch $(UPDATER_DIR) $(UPDATER_DIR)/user/update /replace

=== debian/changelog ===
libreoffice (1:7.4.7-0ubuntu0.22.10.1~bpo18.04.1) bionic-backports; urgency=medium

  * Backport from kinetic (LP: #2018714)
  * Use internal abseil, gpgmepp, libmwaw, libwps, mdds, orcus, cppunit,
    curl, xmlsec, libcmis, libcdr, libetonyek, libvisio, libwpd, libwpg,
    graphite and harfbuzz to meat upstream requirements
  * Lower dpkg-dev requirement
    - buildopts.mk is not available in dpkg-dev < 1.20.1
  * Lower libclucene-dev requirement
  * Apparmor 2.13 is not available

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 03 May 2023 19:17:57 +0200

libreoffice (1:7.4.7-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2018600)

  [ Rico Tzschichholz ]
  * Install all yaru icon variants
  * Bump yaru source to "2023-03-31"

  [ Rene Engelhard ]
  * debian/rules, debian/tests/*: don't fail if ulimit -c unlimited fails
    (like in ci.d.n infrastructure after the bookworm upgrade...)
  * debian/control.postgresql.in:
    - depend on libreoffice-core-nogui | libreoffice-core (like the other
      -sdbc-*)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 03 May 2023 19:17:57 +0200

libreoffice (1:7.4.6-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2009354)

  [ Rico Tzschichholz ]
  * Drop upstreamed patches
    - debian/patches/tdf153059-after-ChangeHeaderOrFooter-the-c.patch
  * debian/rules:
    - Disable make check on s390x (builders failing without a log),
      the autopkgtests are still providing runtime checks
  * debian/control{.in}:
    - Add missing Breaks on -core-nogui in -common
  * tests/patches/s390x-skip-tests.diff:
    - Skip four more failing tests on s390x

  [ Rene Engelhard ]
  * debian/rules: Use system-lockfile; lockfile is actually built during the
    build in non-cross builds
  * debian/rules: also add forgotten DEB_LDFLAGS_MAINT_STRIP for -flto=auto
    and (if using "small symbols" anyway -ffat-lto-objects)
  * debian/rules:
    - set extra builid to BINARY_VERSION instead of DEB_VERSION to reflect
      the actual binary package version of libreoffice-core if they differed
  * debian/rules:
    - Do not add documentation symlinks when not building documentation

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 08 Mar 2023 17:34:09 +0100

libreoffice (1:7.4.4-0ubuntu0.22.10.2) kinetic; urgency=medium

  * Hotfix cherry-pick release (LP: #2003735)
  * After ChangeHeaderOrFooter the control can be disposed (tdf#153059)
    - debian/patches/tdf153059-after-ChangeHeaderOrFooter-the-c.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 23 Jan 2023 18:09:15 +0100

libreoffice (1:7.4.4-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2001911)
  * autopkgtests: Skip two failing tests on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 02 Jan 2023 09:02:13 +0100

libreoffice (1:7.4.3-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #1997333)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 23 Nov 2022 11:50:35 +0100

=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant (>= 1.7.0) <!nojava>,
               ant-optional (>= 1.7.0) <!nojava>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang-10 [amd64 arm64 armhf i386 ppc64el],
               cpp,
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !s390 !sparc !hurd-i386] <!nojava>,
               default-libmysqlclient-dev,
               dh-python <!nopython>,
               dpkg-dev (>= 1.18.2~),
               firebird-dev (>= 3.0.0.32483.ds4-4),
               flex (>= 2.3.35),
               fontforge-nox | fontforge,
               g++ (>= 4:7),
               gcc (>= 4:7),
               gobject-introspection (>= 1.32.0),
               gperf (>= 3.1),
               java-common (>= 0.61) <!nojava>,
               javahelper (>= 0.37~) <!nojava>,
               junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl <!nojava>,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.65.1),
               libboost-dev (>= 1.65.1),
               libboost-filesystem-dev (>= 1.65.1),
               libboost-iostreams-dev (>= 1.65.1),
               libboost-locale-dev (>= 1.65.1),
               libboost-program-options-dev (>= 1.65.1),
               libboost-system-dev (>= 1.65.1),
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libcairo2-dev,
               libclucene-dev (>= 2.3.3.4-4.1),
               libcups2-dev,
               libdbus-1-dev (>= 0.60),
               libdconf-dev (>= 0.15.2),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev (>= 1.2),
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libfontconfig-dev | libfontconfig1-dev,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev (>= 2.8.1) | libfreetype6-dev (>= 2.8.1),
               libgirepository1.0-dev (>= 1.32),
               libgl-dev,
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-dev (>= 2.4),
               libglm-dev (>= 0.9.9~a2),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.20.0),
               libhsqldb1.8.0-java (>> 1.8.0.10) <!nojava>,
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblockfile-bin,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmythes-dev (>= 2:1.2),
               libnspr4-dev,
               libnss3-dev (>= 3.12.3),
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev (>= 2.3),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpng-dev (>= 1.6),
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.14.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt5x11extras5-dev (>= 5.6),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsane-dev,
               libsm-dev,
               libssl-dev,
               libsuitesparse-dev (>= 1:3.4.0),
               libtiff-dev,
               libwebp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.8),
               libxml2-utils,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev (>= 3.3) <!nopython>,
               python3-distutils <!nopython>,
               qt5-qmake (>= 5.6),
               qtbase5-dev (>= 5.6),
               qtbase5-dev-tools (>= 5.6),
               qtchooser,
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: firebird3.0-server-core <!nocheck>,
                    fontconfig [!s390x] <!nocheck>,
                    fonts-crosextra-carlito [!s390x] <!nocheck>,
                    fonts-dejavu [!s390x] <!nocheck>,
                    fonts-kacst [!s390x] <!nocheck>,
                    fonts-liberation2 [!s390x] <!nocheck>,
                    fonts-linuxlibertine [!s390x] <!nocheck>,
                    fonts-noto-core [!s390x] <!nocheck> | fonts-noto [!s390x] <!nocheck>,
                    gdb [!s390x] <!nocheck>,
                    ghostscript [!s390x] <!nocheck>,
                    gpg [!s390x] <!nocheck>,
                    gpg-agent [!s390x] <!nocheck>,
                    gpgconf [!s390x] <!nocheck>,
                    hunspell-en-us [!s390x] <!nocheck>,
                    hyphen-en-us [!s390x] <!nocheck>,
                    imagemagick [!s390x] <!nocheck>,
                    libe-book-dev (>= 0.1.2) [!s390x] <!nocheck>,
                    locales [!s390x] <!nocheck>,
                    poppler-data [!s390x] <!nocheck>,
                    pstoedit [!s390x] <!nocheck>,
                    python3-lxml [!s390x] <!nocheck !nopython>
Build-Depends-Indep: dh-apparmor,
                     doxygen (>= 1.8.4) <!nodoc>,
                     gettext,
                     graphviz <!nodoc>,
                     junit4 (>= 4.8.2-2) <!nojava>,
                     libbsh-java <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 fonts-opensymbol <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1
Standards-Version: 4.0.1
Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-bionic-7.4
Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
Bugs: mailto:libreoffice@lists.launchpad.net
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Section: metapackages
Depends: libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin,
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-liberation,
            fonts-liberation2,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-gnome | libreoffice-plasma,
            libreoffice-nlpsolver,
            libreoffice-report-builder,
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            ${java-common-depends}
Suggests: cups-bsd,
          firefox | firefox-esr | thunderbird,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${libsane-suggests},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * firefox-esr | thunderbird | firefox:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-11-jre | openjdk-8-jre | java8-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick / ghostscript: helper tools for EPS
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * bluez: Bluetooth support for Impress (slideshow remote control)

Package: libreoffice-nogui
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Section: metapackages
Depends: libreoffice-base-nogui,
         libreoffice-calc-nogui,
         libreoffice-core-nogui (= ${binary:Version}),
         libreoffice-draw-nogui,
         libreoffice-impress-nogui,
         libreoffice-math-nogui,
         libreoffice-report-builder-bin-nogui,
         libreoffice-writer-nogui,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            ${java-common-depends}
Suggests: ghostscript,

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2015 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=7.4
OOVER:=7.4
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# bootstraping this from the source tree is breaking get-orig-source
#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
lo_sources_ver=7.4.7.2
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-7-4-7
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

ifeq "$(USE_GIT_TARBALLS)" "y"
YARU_GIT_TAG=2023-03-31
endif

YARU_ACCENTS = bark blue magenta olive prussiangreen purple red sage viridian mate
YARU_IMAGES = yaru yaru_svg $(foreach y, $(YARU_ACCENTS),yaru_$(y) yaru_$(y)_svg)

#########
# Default package configuration
#
OOO_ARCHS = amd64 arm64 armhf i386 ppc64el s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex (>= 2.3.35), \
    fontforge-nox | fontforge, \
    gperf (>= 3.1),\
    libc0.1 (>= 2.10.2-7) [kfreebsd-any],\
    libfontconfig-dev | libfontconfig1-dev,\
    pkg-config,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  ENABLE_JAVA=y
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    include /usr/share/java/java_defaults.mk
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=7
    endif
  endif
else
  ENABLE_JAVA=n
endif
JAVAHELPER_MIN_VERSION= (>= 0.37~)
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
  BOOST_MINVER= (>= 1.71)
endif
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_ZXING=y
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
ENABLE_QT5=n
QT5_MINVER= (>= 5.6)
endif
ifeq "$(BUILD_PLASMA)" "y"
  ENABLE_KF5=y
  # KF5 depends on Qt5
  ifeq "$(ENABLE_KF5)" "y"
    ENABLE_QT5=y
    KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
  endif
endif
ENABLE_QT6=n
# for moc move to /usr/lib/qt6/libxexec
QT6_MINVER= (>= 6.2.1+dfsg-2)
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=y
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec

ifeq ($(filter noinsttest,$(DEB_BUILD_PROFILES)),)
 # this changes the packages built/contents of packages (-subsequentcheckbase)
 # This is not exactly allowed in https://wiki.debian.org/BuildProfileSpec#Registered_profile_names
 # but it doesn't have real practical difference, does it?
  ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
    BUILD_TEST_PACKAGES=y
  endif
endif

ifneq ($(MAKECMDGOALS),build-indep)
ENABLE_SYMBOLS=y
SMALL_SYMBOLS=y
endif
ifeq ($(MAKECMDGOALS),build-indep)
# no need to do a double build...
BUILD_NOGUI_PACKAGES=n
# go sure
  ifeq "$(BUILD_TEST_PACKAGES)" "y"
    ENABLE_JUNIT4=y
  endif
endif

ifeq "$(ENABLE_JAVA)" "y"
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
ENABLE_COINMP=y
SYSTEM_STUFF += coinmp
USE_DBUS=y
ifeq "$(USE_DBUS)" "y"

=== debian/tests/control ===
Tests: testtools-bridgetest
Depends: @builddeps@, ure
Restrictions: allow-stderr, rw-build-tree, superficial

Tests: pyuno-import, uno-import
Depends: python3, python3-uno
Restrictions: superficial

Tests: access2base-import
Depends: python3, python3-access2base
Restrictions: superficial

## Is there a need for this small test given we run the UI tests etc.?
#Tests: smoketest
#Architecture: amd64 arm64
#Depends: @builddeps@, libreoffice-smoketest-data, libreoffice-dev, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, libreoffice-sdbc-hsqldb, libreoffice-sdbc-firebird
#Restrictions: allow-stderr, build-needed, rw-build-tree, superficial

# this is already done by smoketest upstream, but fails when doing it against
# the installed LO. works standalone, though, so it's patched out of the
# smoketest. Do it here separately.
Tests: test-extension
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, superficial, skippable

Tests: test-extension-shared
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, needs-root, superficial

# in the following some tests need RTL and CJK language packs installed to pass.
# he is the example for RTL, zh-tw for CJK (and zh-tw was choosen to also test xx-YY locales)

# Maybe all those tests should be merged into one (especially for the "small" ones like writerperfect or
# "tiny" ones like sfx2,svx,cui.
# But it already takes ~1.5 h (though including copy..) for all them to run on amd64 and the overall autopkgtest
# test timeout is 166 min (a bit over 2.5 hrs.). What are we doing on slow archs?
# And secondly. one might miss breakage if Java or another package is not installed but is
# required because everything needed would be in Depends: then for one test...
# Try to optimize a bit though by not sorting alphabetically but where the  new packages are a superset so
# we can reuse the testbed

Tests: uicheck-sfx2
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-svx
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-cui
Depends: @builddeps@, libreoffice-core, libreoffice-impress, libreoffice-writer, python3-uno
Restrictions: allow-stderr

Tests: uicheck-sd
Depends: @builddeps@, libreoffice-core, libreoffice-draw, libreoffice-impress, libreoffice-calc, python3-uno
Restrictions: allow-stderr

Tests: uicheck-writerperfect
Depends: @builddeps@, libreoffice-core, libreoffice-writer, python3-uno
Restrictions: allow-stderr

Tests: uicheck-sc
Architecture: amd64 arm64 armhf i386 ppc64el s390x

=== debian/watch ===
version=4

# only releases (and the final rc before the release. The last rc simply get renamed
# so e.g. 6.4.3 final is 6.4.3 rc2 which is 6.4.3.2)
# FIXME:
# Unfortunately it seems that download.documentfoundation.org/libreoffice/src gets the rcs too. But
# download.documentfoundation.org/stable((\d.\d.\d) doesn't work since we then get no tarball information
# as that doesn't ship the source... And I fail getting parsing of www.libreoffice.org/download to work
#opts="compression=xz,pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(\d.\d.\d).(\d)/$1/" \
#  http://download.documentfoundation.org/@PACKAGE@/src/(\d.\d.\d)/@PACKAGE@-(\d.\d.\d).(\d).tar.xz debian
#
#opts="pgpsigurlmangle=s/$/.asc/,component=helpcontent2,uversionmangle=s/(\d.\d.\d).(\d)/$1/" \
#  http://download.documentfoundation.org/@PACKAGE@/src/(\d.\d.\d)/@PACKAGE@-help-(\d.\d.\d).(\d).tar.xz same
#
#opts="pgpsigurlmangle=s/$/.asc/,component=translations,uversionmangle=s/(\d.\d.\d).(\d)/$1/" \
#  http://download.documentfoundation.org/@PACKAGE@/src/(\d.\d.\d)/@PACKAGE@-translations-(\d.\d.\d).(\d).tar.xz same

# FIXME: Combine those to one part?
# Problem: 6.4.3.2 -> 6.4.3~rc2 (rc added manually)
#          7.0.0.0.alpha1 -> 7.0.0~alpha1 (.0. stripped and following value taken as-is)

# rcs (and the last rc which will become final, see above)
opts="compression=xz,pgpsigurlmangle=s/$/.asc/,versionmangle=s/(\d.\d.\d).(\d)/$1~rc$2/" \
   https://dev-builds.libreoffice.org/pre-releases/src/@PACKAGE@-(\d.\d.\d).(\d).tar.xz debian

opts="pgpsigurlmangle=s/$/.asc/,component=helpcontent2,versionmangle=s/(\d.\d.\d).(\d)/$1~rc$2/" \
   https://dev-builds.libreoffice.org/pre-releases/src/@PACKAGE@-help-(\d.\d.\d).(\d).tar.xz same

opts="pgpsigurlmangle=s/$/.asc/,component=translations,versionmangle=s/(\d.\d.\d).(\d)/$1~rc$2/" \
   https://dev-builds.libreoffice.org/pre-releases/src/@PACKAGE@-translations-(\d.\d.\d).(\d).tar.xz same

# alpha, beta
#opts="compression=xz,pgpsigurlmangle=s/$/.asc/,versionmangle=s/(\d.\d.\d).(alpha|beta).(\d)/$1~$2$3/" \
#   https://dev-builds.libreoffice.org/pre-releases/src/@PACKAGE@-(\d.\d.\d).0.(alpha|beta)(\d).tar.xz debian
#
#opts="pgpsigurlmangle=s/$/.asc/,versionmangle=s/(\d.\d.\d).(alpha|beta).(\d)/$1~$2$3/" \
#   https://dev-builds.libreoffice.org/pre-releases/src/@PACKAGE@-help-(\d.\d.\d).0.(alpha|beta)(\d).tar.xz same
#
#opts="pgpsigurlmangle=s/$/.asc/,versionmangle=s/(\d.\d.\d).(alpha|beta).(\d)/$1~$2$3/" \
#   https://dev-builds.libreoffice.org/pre-releases/src/@PACKAGE@-translations-(\d.\d.\d).0.(alpha|beta)(\d).tar.xz same
